Bug 33423 - "click to focus" broken after sending window to new workspace
"click to focus" broken after sending window to new workspace
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-27 12:10 EST by Ben Levenson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-27 12:10:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-03-27 12:10:15 EST
(wasn't sure if this went under kde-libs, kdebase, kde??)
Here is something peculiar I've noticed while using KDE:
1- Open a terminal in any workspace.
2- Open another terminal window in a different workspace.
3- Right click on the title bar of the first window and send it to the
workspace of the second window (is this making sense?)
4- Switch to the workspace that is now occupied by the both terminals.
5- The window that was just transferred will not accept keyboard focus
until you shade it and then unshade it.

This behavior isn't limited to the terminals.  It appears to be
independent of the application.  I've had it happen with the Konqueror
browser as well.  
Mouse input is not an issue.  If a web browser is sent to an occupied
workspace, it will appear to be working correctly as long
as you continue clicking on hyperlinks.  But you will not be able to
enter a URL until you shade and unshade the browser window.
It only happens when you send a window to a workspace that is occupied by
another window.  If you send it to an empty workspace, keyboard focus can
be given to the window as expected.

(The window can be focused as expected using the "window list."  
It also appears to be independent of the hardware, but I can provide info
if needed.)
Comment 1 Ben Levenson 2001-07-30 19:28:08 EDT
doing some bug housekeeping....
This was definitely an issue w/ 2.1.1-*
closing as CURRENTRELEASE since I haven't seen the 
issue in quite some time.

Note You need to log in before you can comment on or make changes to this bug.